/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { Harness } from '../testing/harness.js';
import { MdAssistChip } from './assist-chip.js';
import { MdFilterChip } from './filter-chip.js';
import { MdInputChip } from './input-chip.js';
import { MdSuggestionChip } from './suggestion-chip.js';
/**
 * Test harness for chips.
 */
export declare class ChipHarness extends Harness<MdAssistChip | MdFilterChip | MdInputChip | MdSuggestionChip> {
    action: 'primary' | 'trailing';
    protected getInteractiveElement(): Promise<HTMLElement>;
}
